<?php

/**
 *--------------------------------------
 * 模板
 *--------------------------------------
 * @project		: uwa
 * @author		: cblee
 * @created		: 2012-11-22
 * @copyright	: (c)2012 AsThis
 *--------------------------------------
 */

class TemplateCtrlr extends ManageCtrlr
{
	public function tag_wizard()
	{
		/* 频道列表 */
		$_ACL = M('ArchiveChannel')->get_myChannelList();
		$act = new ATree($_ACL, array('archive_channel_id', 'ac_parent_id', 'ac_sub_channel'));
		$_ACLStr = $act->get_leafStr(0, "<option value='\$archive_channel_id'>\$spacer\$ac_name</option>\r\n");
		$this->assign('_ACLStr', $_ACLStr);

		/* 属性列表 */
		$_AFL = M('ArchiveFlag')->get_flagList();
		$this->assign('_AFL', $_AFL);

		/* 广告位列表 */
		$_ASL = M('AdSpace')->get_spaceList(false);
		$this->assign('_ASL', $_ASL);

		/* 菜单位列表 */
		$_MSL = M('MenuSpace')->get_spaceList();
		$this->assign('_MSL', $_MSL);

		/* 链接分类列表 */
		$_FCL = M('FlinkCategory')->get_categoryList();
		$this->assign('_FCL', $_FCL);

		$this->display();
	}
}

?>